{% extends "layout.html" %}
{% block body %}
<div align="center">
  {% set base_points = 5 %}
  <h1>
    Sequence Connect
    <h4>
      <p id='points'>{{ base_points }} points</p>
    </h4>
    <h5>
      <i id="reveal"></i>
    </h5>
  </h1>
  <h4>
  </h4>
</div>
</p>
{% set topic = questions['topic'] %}
<div class="frame">
  {% for hint in questions['hints']  %}
  {% set i = questions['hints'].index(hint) %}
  <div>
  {% if i == questions['hints']|length-1 %}
      <button class="btn btn-primary" 
              id="btn_{{ i }}"
              onclick="myFunction('btn_{{ i }}', '{{ hint }}', 'points', '{{ base_points - i }}')"
              style="background-color: #ff0060;border-color: #dc3545;">
        ? ? ?
      </button>
  {% else %}        
      <button class="btn btn-primary" 
              id="btn_{{ i }}"
              onclick="myFunction('btn_{{ i }}', '{{ hint }}', 'points', '{{ base_points - i }}')">
        {{ i + 1 }}  
    </button>
  {% endif %}
  </div>
  {% endfor %}
</div>
</p>
<table>
  <tr>
    <td>
      <form action="http://localhost:5000/sequence-connect", method="POST">
        <button class="btn btn-secondary" type="submit" name="only_con">Back to menu</button>
      </form>
      </td>
      <td>
        <button class="btn btn-secondary" type="submit" id="reveal" 
        onclick="myFunction('reveal', '``{{ topic }}``')">Reveal Connect</button>
      </td>
  </tr>
</table>
<script>
  function myFunction(id_element, replace_text, id_counter, replace_number) {
    document.getElementById(id_element).innerHTML = replace_text;
    document.getElementById(id_counter).innerHTML = replace_number + ' points';
  }
</script>
{% endblock %}